org.apache.tinkerpop.gremlin.structure.io.binary

## Enum DataType

- java.lang.Object
- - java.lang.Enum<DataType>
  - - org.apache.tinkerpop.gremlin.structure.io.binary.DataType

- All Implemented Interfaces:
    Serializable, Comparable<DataType>

      public enum DataType
      extends Enum<DataType>

  Represents a GraphBinary data type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BARRIER`
    `BIGDECIMAL`
    `BIGINTEGER`
    `BINDING`
    `BOOLEAN`
    `BULKSET`
    `BYTE`
    `BYTEBUFFER`
    `BYTECODE`
    `CARDINALITY`
    `CHAR`
    `CLASS`
    `COLUMN`
    `CUSTOM`
    `DATE`
    `DIRECTION`
    `DOUBLE`
    `DURATION`
    `EDGE`
    `FLOAT`
    `GRAPH`
    `INETADDRESS`
    `INSTANT`
    `INT`
    `LAMBDA`
    `LIST`
    `LOCALDATE`
    `LOCALDATETIME`
    `LOCALTIME`
    `LONG`
    `MAP`
    `METRICS`
    `MONTHDAY`
    `OFFSETDATETIME`
    `OFFSETTIME`
    `OPERATOR`
    `ORDER`
    `P`
    `PATH`
    `PERIOD`
    `PICK`
    `POP`
    `PROPERTY`
    `SCOPE`
    `SET`
    `SHORT`
    `STRING`
    `T`
    `TEXTP`
    `TIMESTAMP`
    `TRAVERSALMETRICS`
    `TRAVERSALSTRATEGY`
    `TRAVERSER`
    `TREE`
    `UNSPECIFIED_NULL`
    `UUID`
    `VERTEX`
    `VERTEXPROPERTY`
    `YEAR`
    `YEARMONTH`
    `ZONEDATETIME`
    `ZONEOFFSET`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataType` | `get(int code)` Gets a DataType by code.
    `int` | `getCode()` Gets the data type code.
    `byte` | `getCodeByte()` Gets the data type code.
    `static DataType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INT

          public static final DataType INT

    - #### LONG

          public static final DataType LONG

    - #### STRING

          public static final DataType STRING

    - #### DATE

          public static final DataType DATE

    - #### TIMESTAMP

          public static final DataType TIMESTAMP

    - #### CLASS

          public static final DataType CLASS

    - #### DOUBLE

          public static final DataType DOUBLE

    - #### FLOAT

          public static final DataType FLOAT

    - #### LIST

          public static final DataType LIST

    - #### MAP

          public static final DataType MAP

    - #### SET

          public static final DataType SET

    - #### UUID

          public static final DataType UUID

    - #### EDGE

          public static final DataType EDGE

    - #### PATH

          public static final DataType PATH

    - #### PROPERTY

          public static final DataType PROPERTY

    - #### GRAPH

          public static final DataType GRAPH

    - #### VERTEX

          public static final DataType VERTEX

    - #### VERTEXPROPERTY

          public static final DataType VERTEXPROPERTY

    - #### BARRIER

          public static final DataType BARRIER

    - #### BINDING

          public static final DataType BINDING

    - #### BYTECODE

          public static final DataType BYTECODE

    - #### CARDINALITY

          public static final DataType CARDINALITY

    - #### COLUMN

          public static final DataType COLUMN

    - #### DIRECTION

          public static final DataType DIRECTION

    - #### OPERATOR

          public static final DataType OPERATOR

    - #### ORDER

          public static final DataType ORDER

    - #### PICK

          public static final DataType PICK

    - #### POP

          public static final DataType POP

    - #### LAMBDA

          public static final DataType LAMBDA

    - #### P

          public static final DataType P

    - #### SCOPE

          public static final DataType SCOPE

    - #### T

          public static final DataType T

    - #### TRAVERSER

          public static final DataType TRAVERSER

    - #### BIGDECIMAL

          public static final DataType BIGDECIMAL

    - #### BIGINTEGER

          public static final DataType BIGINTEGER

    - #### BYTE

          public static final DataType BYTE

    - #### BYTEBUFFER

          public static final DataType BYTEBUFFER

    - #### SHORT

          public static final DataType SHORT

    - #### BOOLEAN

          public static final DataType BOOLEAN

    - #### TEXTP

          public static final DataType TEXTP

    - #### TRAVERSALSTRATEGY

          public static final DataType TRAVERSALSTRATEGY

    - #### BULKSET

          public static final DataType BULKSET

    - #### TREE

          public static final DataType TREE

    - #### METRICS

          public static final DataType METRICS

    - #### TRAVERSALMETRICS

          public static final DataType TRAVERSALMETRICS

    - #### CHAR

          public static final DataType CHAR

    - #### DURATION

          public static final DataType DURATION

    - #### INETADDRESS

          public static final DataType INETADDRESS

    - #### INSTANT

          public static final DataType INSTANT

    - #### LOCALDATE

          public static final DataType LOCALDATE

    - #### LOCALDATETIME

          public static final DataType LOCALDATETIME

    - #### LOCALTIME

          public static final DataType LOCALTIME

    - #### MONTHDAY

          public static final DataType MONTHDAY

    - #### OFFSETDATETIME

          public static final DataType OFFSETDATETIME

    - #### OFFSETTIME

          public static final DataType OFFSETTIME

    - #### PERIOD

          public static final DataType PERIOD

    - #### YEAR

          public static final DataType YEAR

    - #### YEARMONTH

          public static final DataType YEARMONTH

    - #### ZONEDATETIME

          public static final DataType ZONEDATETIME

    - #### ZONEOFFSET

          public static final DataType ZONEOFFSET

    - #### CUSTOM

          public static final DataType CUSTOM

    - #### UNSPECIFIED_NULL

          public static final DataType UNSPECIFIED_NULL

  - ### Method Detail

    - #### values

          public static DataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataType c : DataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Gets the data type code.

    - #### getCodeByte

          public byte getCodeByte()

      Gets the data type code.

    - #### get

          public static DataType get(int code)

      Gets a DataType by code.

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.